ppdfilt(1)

NAME
ppdfilt - insert printer specific code into a PS job.

SYNOPSIS
ppdfilt [-p|--ppd ppdfilename ] [-c|--copies num ] [-o|-Z|--options option:value ] [-4|--4up] [-2|--2up] [-n|--nup numpages ] [-D] [-d [ Tumble | NoTumble ]] [ file ]
ppdfilt [-V|--version]
ppdfilt [-?|--help]

DESCRIPTION
ppdfilt is designed to be a flexible command used by either users or within a print filter. ppdfilt processes a Postscript file to add commands that implement the options as specified in a PPD file; it outputs then the result on standard out. By default ppdfilt will read a Postscript file from stdin and it will fetch the ppd specified in the PPD environmental variable.

OPTIONS

-? or --help
    Print out a brief help message and then exit.

-2 or --2up
    Print at the document in such a way that every page is rotated 90 degress and then shrunk down to 50 percent so that two pages of information fit on one piece of paper.

-4 or --4up
    Print at the document in such a way that every page is shrunk down to 25 percent so that four pages of information fit on one piece of paper.

-c or --copies
    Specify the number of copies that are printed.

-d or --duplex [Tumble or NoTumble]
    If the printer is so equipped. Print on both sides of the piece of paper. There are two kinds of duplexing depending on which edge you are going to bind the document. The default is NoTumble which is most appropriate for portrait printing where you are going to bind along the long edge. Tumble is more appropriate when you are printing landscape and binding along the long edge.

-D or --duplex-tumble
    If the printer is so equipped. Print on both sides of the piece of paper such that if you are printing landscape and binding along the long edge or if your are printing portrait and binding along the short edge, the pages will appear right side up.

-p or --ppd ppdfilename
    Specify the ppd filename rather than use the one specified in the environmental variable PPD.

-o or -Z or --option option:value
    This argument allows you the flexibility to specify all the options available in the PPD file as well as the special non-ppd options listed below. You may have as many "-o" options on the command line as you like. You may have also multiple "option:value" pairs separated by commas in one "-o".

-V or --version
    Print out the version number and exit.

NON PPD OPTIONS
Most options are specified in the PPD files. However, there are some options which are built into pstops/ppdfilt program for convience. An example of this is Nup which is implemented without the use of any device specific code from the PPD file. (The default is listed in all caps.)

page-ranges: lower-upper
    There is one page range that you can set. This limits the number of pages that are printed to the ones between the lower and upper.

page-set: odd | even | ALL
    This allows you to specify printing either odd or even pages only.

Collate: true | FALSE
    When printing multiple copies. Collate the copies such that all the pages from one document are grouped together with the printout.

OutputOrder: FORWARD | reverse

number-up: 1 | 2 | 4
    The default for this option is 1. This selects if the document is printed normally, half size with two pages per sheet of pager, or quarter size with four pages per sheet of paper.

gamma: value
    Set the gamma of the print job.

brightness: value
    Set the brightness of the print job.

REPORTING BUGS
https://sourceforge.net/bugs/?group_id=1658